



(echo provider "ec" { version="0.2.1" } && echo. && echo terraform { && echo required_providers { && echo ec = { && echo source="elastic/ec" && echo version="0.2.1" && echo } && echo } && echo }) > init.tf
IF %ERRORLEVEL% NEQ 0 exit /B 1
terraform init
IF %ERRORLEVEL% NEQ 0 exit /B 1
if not exist .terraform\plugins\registry.terraform.io\elastic\ec\0.2.1\windows_amd64\LICENSE exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
if exist .terraform\plugins\registry.terraform.io\elastic\ec\0.2.1\windows_amd64\terraform-provider-ec_v0.2.1_x4.exe exit 1
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
